Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » AMW » AMW new user
AMW new user [message #469864] Sun, 26 April 2009 14:47 Go to next message
Esteban Dugueperoux is currently offline Esteban DugueperouxFriend
Messages: 421
Registered: July 2009
Senior Member

I'm a new AMW user, I have installed AMW but when I follow tutorial from
user guide I get "org.eclipse.gmt.weaver.exception.WeaverException:
Class WLinkEnd is not extended" exception.

Then I fetch source to try again from SVN access
and am3 dependency from

And apply instructions from following post to solve some build errors :


But it doesn't works, I always get a

It seems that WeaverModelManager.initWeavingMetaModel() can't get
mwcore.km3 metamodel or
WeaverResourceUtil.validateWeavingMetamodelSemantic() can't get contents
of mwcore.km3. I don't know well.

How can I solved this?

Otherwise I would like to know what is the future of AMW.

Re: AMW new user [message #469865 is a reply to message #469864] Wed, 29 April 2009 16:30 Go to previous message
Marcos Didonet Del Fabro is currently offline Marcos Didonet Del FabroFriend
Messages: 84
Registered: July 2009

check this two posts about the "WLinkEnd" error: p=eclipse.amw#28 p=eclipse.amw#69

and this one about AMW evolution: p=eclipse.amw#76


Previous Topic:AMW Evolution.
Next Topic:Problem in Class2Relational example
Goto Forum:

Current Time: Tue Oct 06 01:54:50 GMT 2015

Powered by FUDForum. Page generated in 0.11056 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software